View Issue Details

IDProjectCategoryView StatusLast Update
0007412MediaMonkey (current)Framework: Scripts/Extensionspublic2011-03-02 02:24
Reporterpeke 
PriorityimmediateSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOS7OS Version-
Product Version4.0 
Target VersionFixed in Version4.0 
Summary0007412: Script Installation Issues
DescriptionAfter several days of debugging last.fm Plugin I have found several serious issues with MM 4.0 and not with MM3.0

1. File= is Case Sensitive [Test_plugin_Case_Sensitive.mmip where "install.vbs" filename is all lowercase]
2. Throw Exception in case Function= do not exist in vbs File (MM3 Shows Dialog and then only Debug Version throw Exception) [Test_plugin_Error_installing.mmip and Test_plugin_Error_installing.elf]
3. Request Restart even there is no need for it [Test_plugin_working.mmip]

Files are uploaded to FTP.
TagsNo tags attached.
Fixed in build1351

Relationships

related to 0006752 closedLudek Automatize process of MMIP installation in case of locked plugin DLL 

Activities

Ludek

2011-02-20 23:31

developer   ~0023252

Fixed in build 1350.

Ludek

2011-02-20 23:50

developer   ~0023253

+ Added the ShowRestartPrompt header param (added in 0006752) also to Install.ini and documented here: http://www.mediamonkey.com/wiki/index.php/Installation_Packages#.5BHeader.5D_section

peke

2011-02-21 23:53

developer   ~0023271

Based on this it would be wise to add [Header] section into uninstall.ini too and allow ShowRestartPrompt there also?

Ludek

2011-02-22 00:07

developer   ~0023272

It is already there, see 0006752

peke

2011-02-22 01:47

developer   ~0023284

Last edited: 2011-02-22 01:47

View 2 revisions

Sorry about that I was reading Wiki without actual checking.

I corrected http://www.mediamonkey.com/wiki/index.php/Installation_Packages#Uninstall.ini_file to say that [Header] is Optional in uninstall.ini

peke

2011-02-22 02:00

developer   ~0023285

Due the compatibility and common Boolean usage ShowRestartPrompt should also react on values 0 = False, 1 = True

Ludek

2011-02-22 10:45

developer   ~0023300

Fixed in build 1351.

peke

2011-02-22 22:21

developer   ~0023331

Last.fm plugin 1.0.2.24 includes this fix.

peke

2011-03-02 02:24

developer   ~0023490

Verified 1351